//---------------------------------------------------------------------------
/*
 * Copyright (c) Allan Petersen, 2003.
 * This is a tutorial for twain scanning example
 *
 * (c) Copyright 2003, Allan Petersen
 * ALL RIGHTS RESERVED
 * Permission to use, copy, modify, and distribute this software for
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that
 * the name of Allan Petersen not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission.
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL ALLAN
 * PETERSEN BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT ALLAN PETERSEN HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Contact Allan Petersen at <support@allanpetersen.com> or visit
 * www.allanpetersen.com
 *
 *  Just a little ugly about box. (AP)
 *
 */
//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "About.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
TAboutBox *AboutBox;
//---------------------------------------------------------------------
__fastcall TAboutBox::TAboutBox(TComponent *Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------

void __fastcall TAboutBox::Label1Click(TObject *Sender)
{
    ShellExecute (NULL,"open", "http://allanpetersen.com", NULL,NULL,SW_RESTORE);
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::Label2Click(TObject *Sender)
{
    ShellExecute (NULL,"open", "mailto:support@allanpetersen.com", NULL,NULL,SW_RESTORE);
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::Label1MouseMove(TObject *Sender,
      TShiftState Shift, int X, int Y)
{
    Label1->Font->Color = clRed;
    Label2->Font->Color = clBlack;
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::ProgramIconMouseMove(TObject *Sender,
      TShiftState Shift, int X, int Y)
{
    Label1->Font->Color = clBlack;
    Label2->Font->Color = clBlack;
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::Label2MouseMove(TObject *Sender,
      TShiftState Shift, int X, int Y)
{
    Label1->Font->Color = clBlack;
    Label2->Font->Color = clRed;
}
//---------------------------------------------------------------------------


